Create cardholder

Creates a new cardholder. This endpoint automatically generates the cardholder's primary account, which is used to systematically segregate the cardholder's funds and process deposits to their cards.

Once the cardholder is created successfully using this endpoint, a unique cardholderId will be returned in the response, and the cardholder status will be 4 (draft). A cardholder's personal details can be edited only if it is not in a compliance state of 0 (pending), 1 (approved) or 3 (under review).

When you're ready to proceed, submit the cardholder to compliance, or submit a SumSub authentication token if your program is authorized to use this alternate compliance process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
boolean
enum
Defaults to 0

Sets the compliance policy to enable SumSub integration for automated KYC of the cardholder. If 1 is passed, a SumSub authentication token will be required. SumSub must be enabled for 1 to be a valid value.
The default value is 0, in which case the standard compliance process will involve submitting the cardholder for review, using the cardholderId returned in this success response.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

Allowed:
integer

Sets the maximum value of any card transaction allowed for the cardholder. Can't be greater than the transactionLimit of the relevant programId. In the absence of a cardholder-level transactionLimit, the program's transactionLimit (if any) is inherited by default. This parameter is currency- and decimal-implied (e.g. a value of 1000 would represent $10.00 in a U.S. dollar-denominated card program).
Note 1: Any cards issued to the cardholder will have a default transactionLimit equal to the cardholder's transactionLimit, unless a lower transactionLimit is set for any given card.
Note 2: This parameter may be updated at any time after the cardholder is created.

string
required
length between 1 and 3

Country calling code (or international dialing code) associated with the cellNum. Pass the short number prefix assigned and managed by the International Telecommunication Union (ITU) and defined in the ITU-T standards E.123 and E.164, as maintained by IBAN, e.g. 1 for the U.S., 44 for the U.K., 81 for Japan, or 971 for the U.A.E.
Note: This parameter may be updated at any time after the cardholder is created.

string
required
length between 2 and 2

Country calling code (or international dialing code) associated with the phoneNum. Pass the corresponding two-digit Alpha-2 codes described in the ISO 3166 international standard, as maintained by IBAN.
Note: This parameter may be updated at any time after the cardholder is created.

string
required
length between 10 and 20

Cardholder's landline or fixed line phone number (or another alternate to cellNum). Pass this number's country calling code (or international dialing code) separately using the countryCallingCode parameter.
Note: This parameter may be updated at any time after the cardholder is created.

string
required
length between 10 and 20

Cardholder's cell phone number (or mobile number). Pass this number's country calling code (or international dialing code) separately using the callingCode parameter.
Note: This parameter may be updated at any time after the cardholder is created.

string
required
length between 6 and 50

Note: This parameter may be updated at any time after the cardholder is created.

string
required
length between 2 and 50

Legal first name of the cardholder, as it appears on the government-issued ID to be used in their KYC documents.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
length ≤ 50

Legal middle name of the cardholder, as it appears on the government-issued ID to be used in their KYC documents. Not required.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
required
length between 2 and 50

Legal first name of the cardholder, as it appears on the government-issued ID to be used in their KYC documents.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

integer
enum
required

Sets the gender of the cardholder from one of the following:
0 Male 1 Female 2 Other
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

Allowed:
string
required
length between 2 and 50

Legal nationality of the cardholder, as it appears on the government-issued ID to be used in their KYC documents.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
required
length between 3 and 3

Legal country of birth of the cardholder, as it appears on the government-issued ID to be used in their KYC documents. Pass the corresponding three-digit Alpha-3 codes described in the ISO 3166 international standard, as maintained by IBAN.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
required
length between 10 and 10

Legal date of birth of the cardholder, as it appears on the government-issued ID to be used in their KYC documents. Pass the format YYYY-MM-DD.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
required
length between 4 and 50

First line of the primary residential address of the cardholder, as it appears on the proof of address to be used in their KYC documents.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
length ≤ 50
string
required
length between 2 and 50

City (or equivalent) of the primary residential address of the cardholder, as it appears on the proof of address to be used in their KYC documents.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
required
length between 2 and 50

State (or equivalent) of the primary residential address of the cardholder, as it appears on the proof of address to be used in their KYC documents. For U.S. residents, pass the two-digit U.S. Postal Service abbreviation. For non-U.S. residents where state is not applicable, pass XX.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
required
length between 2 and 2

Country of the primary residential address of the cardholder, as it appears on the proof of address to be used in their KYC documents. Pass the corresponding two-digit Alpha-2 codes described in the ISO 3166 international standard, as maintained by IBAN.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
required
length between 5 and 12

Zip or postal code (or equivalent) of the primary residential address of the cardholder, as it appears on the proof of address to be used in their KYC documents. For U.S. residents, pass the five-digit numerical U.S. Postal Service zip code. For non-U.S. residents where state is not applicable, pass 00000.
Warning: This compliance record cannot be changed whilst the cardholder is under review or after being approved.

string
length ≤ 50

Cardholder's preferred first name as it will appear on their cards during the personalization. If not specified, firstName will be passed by default.

string
length ≤ 50

Cardholder's preferred last name as it will appear on their cards during the personalization. If not specified, lastName will be passed by default.

string

An optional parameter that may be applicable to corporate accounts, for example.

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json